scala.tools.ant.sabbus

# Make

###
Related Doc: package sabbus

#### class Make extends Task with TaskArgs

Source
  Make.scala

Linear Supertypes
TaskArgs, CompilationPathProperty, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Make
2. TaskArgs
3. CompilationPathProperty
4. Task
5. ProjectComponent
6. Cloneable
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Make()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Make to any2stringadd[Make] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Make, B)

   Implicit information
     This member is added by an implicit conversion from Make to ArrowAssoc[Make] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### final def bindToOwner(arg0: Task): Unit

   Definition Classes
     Task

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Definition Classes
     ProjectComponent → AnyRef
   Annotations
     @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

9. #### var compTarget: Option[String]

   Attributes
     protected
   Definition Classes
     TaskArgs

10. #### var compilationPath: Option[Path]

    Attributes
      protected
    Definition Classes
      CompilationPathProperty

11. #### var compilerPath: Option[Path]

    Attributes
      protected
    Definition Classes
      TaskArgs

12. #### def createCompilationPath: Path

    Definition Classes
      CompilationPathProperty

13. #### def createCompilerArg(): Argument

    Definition Classes
      TaskArgs

14. #### def createCompilerPath: Path

    Definition Classes
      TaskArgs

15. #### def createSrcPath: Path

    Definition Classes
      TaskArgs

16. #### var destinationDir: Option[File]

    Attributes
      protected
    Definition Classes
      TaskArgs

17. #### def ensuring(cond: (Make) ⇒ Boolean, msg: ⇒ Any): Make

    Implicit information
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (Make) ⇒ Boolean): Make

    Implicit information
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): Make

    Implicit information
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): Make

    Implicit information
      This member is added by an implicit conversion from Make to Ensuring[Make] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

23. #### def execute(): Unit

    Definition Classes
      Make → Task

24. #### var extraArgs: Seq[Argument]

    Attributes
      protected
    Definition Classes
      TaskArgs

25. #### def extraArgsFlat: Seq[String]

    Definition Classes
      TaskArgs

26. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

27. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Make to StringFormat[Make] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

29. #### def getDescription(): String

    Definition Classes
      ProjectComponent

30. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

31. #### def getOwningTarget(): Target

    Definition Classes
      Task

32. #### def getProject(): Project

    Definition Classes
      ProjectComponent

33. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

34. #### def getTaskName(): String

    Definition Classes
      Task

35. #### def getTaskType(): String

    Definition Classes
      Task

36. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

37. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

38. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

39. #### def handleFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

40. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task
    Annotations
      @throws( classOf[java.io.IOException] )

41. #### def handleOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

42. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

43. #### var id: Option[String]

    Attributes
      protected
    Definition Classes
      TaskArgs

44. #### def init(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

45. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

46. #### final def isInvalid(): Boolean

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

47. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

    Definition Classes
      Task

48. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

    Definition Classes
      Task

49. #### def log(arg0: String, arg1: Int): Unit

    Definition Classes
      Task → ProjectComponent

50. #### def log(arg0: String): Unit

    Definition Classes
      Task → ProjectComponent

51. #### def maybeConfigure(): Unit

    Definition Classes
      Task
    Annotations
      @throws( ... )

52. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

53. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

54. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

55. #### final def perform(): Unit

    Definition Classes
      Task

56. #### def reconfigure(): Unit

    Definition Classes
      Task

57. #### def setCompilationPath(input: Path): Unit

    Definition Classes
      CompilationPathProperty

58. #### def setCompilationPathRef(input: Reference): Unit

    Definition Classes
      CompilationPathProperty

59. #### def setCompilerPath(input: Path): Unit

    Definition Classes
      TaskArgs

60. #### def setCompilerPathRef(input: Reference): Unit

    Definition Classes
      TaskArgs

61. #### def setDescription(arg0: String): Unit

    Definition Classes
      ProjectComponent

62. #### def setDestdir(input: File): Unit

    Definition Classes
      TaskArgs

63. #### def setId(input: String): Unit

    Definition Classes
      TaskArgs

64. #### def setLocation(arg0: Location): Unit

    Definition Classes
      ProjectComponent

65. #### def setOwningTarget(arg0: Target): Unit

    Definition Classes
      Task

66. #### def setParams(input: String): Unit

    Definition Classes
      TaskArgs

67. #### def setProject(arg0: Project): Unit

    Definition Classes
      ProjectComponent

68. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

    Definition Classes
      Task

69. #### def setSrcPath(input: Path): Unit

    Definition Classes
      TaskArgs

70. #### def setSrcPathRef(input: Reference): Unit

    Definition Classes
      TaskArgs

71. #### def setTarget(input: String): Unit

    Definition Classes
      TaskArgs

72. #### def setTaskName(arg0: String): Unit

    Definition Classes
      Task

73. #### def setTaskType(arg0: String): Unit

    Definition Classes
      Task

74. #### var sourcePath: Option[Path]

    Attributes
      protected
    Definition Classes
      TaskArgs

75. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

76. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

77. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

78. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

79. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

80. #### def →[B](y: B): (Make, B)

    Implicit information
      This member is added by an implicit conversion from Make to ArrowAssoc[Make] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from TaskArgs

### Inherited from CompilationPathProperty

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Make to any2stringadd[Make]

### Inherited by implicit conversion StringFormat from Make to StringFormat[Make]

### Inherited by implicit conversion Ensuring from Make to Ensuring[Make]

### Inherited by implicit conversion ArrowAssoc from Make to ArrowAssoc[Make]

### Ungrouped